﻿using System;
using Telerik.Web.UI;
using System.Web.UI;
using System.Web.UI.WebControls;


public partial class Default_Button : System.Web.UI.Page
{
	RadButton globalButton;
	protected void RadGrid1_DataBound(object sender, EventArgs e)
	{
		GridFooterItem footerItem = (GridFooterItem)RadGrid1.MasterTableView.GetItems(GridItemType.Footer)[0];
		footerItem["MaterialGroup"].Text = "Grand Totals:";
		footerItem["MaterialGroup"].Font.Bold = true;
	}

	protected void RadGrid1_NeedDataSource(object sender, GridNeedDataSourceEventArgs e)
	{
		RadGrid1.DataSource = new string[] { "1", "2", "3", "4", "2", "3", "4", "2", "3", "4", "2", "3", "4", "2", "3", "4", "2", "3", "4", "2", "3", "4" };
	}

	protected override void OnPreRender(EventArgs e)
	{
		base.OnPreRender(e);
		var script = string.Format(@"function onWindowResize()
					{{
						var buttonElement = $find('{0}').get_element();
						var parentNode = buttonElement.parentNode;

						//Set 'position: static' to the button, and 'position: absolute' to the div, so the icons will not flicker
						parentNode.style.position = 'absolute';
						buttonElement.style.position = 'static';

						//After that reverse to default
						window.setTimeout(function ()
						{{
							parentNode.style.position = '';
							buttonElement.style.position = 'relative';
						}}, 0);
					}}", globalButton.ClientID);

		ScriptManager.RegisterStartupScript(this, typeof(Page), "key", script, true);
	}

	protected void RadGrid1_ItemCreated(object sender, GridItemEventArgs e)
	{
		if (e.Item is GridPagerItem)
		{
			GridPagerItem pagerItem = (GridPagerItem)e.Item;
			Table contentTable = (Table)pagerItem.PagerContentCell.Controls[0];
			RadButton button = new RadButton();
			button.ID = "btnSaveNext";
			button.Text = "Save & Next";
			button.CommandName = "SaveNext";
			button.Icon.PrimaryIconCssClass = "rbSave";

			Panel pnl = new Panel();
			pnl.ID = "Panel1";
			pnl.Width = Unit.Pixel(100);
			pnl.Style.Add("float", "left");

			pnl.Controls.Add(button);

			globalButton = button;
			contentTable.Rows[0].Cells[0].Controls.Add(pnl);
		}
	}
}